Subject: Re: [bfcpbis] Draft new version: draft-ietf-bfcpbis-rfc4583bis-25

From: Christer Holmberg <[email-masked]>
Date: Mon, 1 Oct 2018 08:15:44 +0000

Hi Paul,

Thanks for your comments! Please see inline.

---
    
>    * General comment:
>    
>    I have a slight preference for doing references to rules defined in 
>    other documents differently. E.g.:
>    
>        DIGIT = <DIGIT defined in [RFC5234]>
>    
>    rather than:
>    
>        ;DIGIT is defined in [RFC5234]
>    
>    The advantage is that when mechanically verifying the SDP, the comment 
>    form results in an undefined symbol while the <> form doesn't. (No, I 
>    didn't mechanically verify the SDP this time.)
  
Will fix as suggested. I did get some xml2rfc problems with the '<' and '>' characters, though, so for now I did:
 
  DIGIT = DIGIT defined in [RFC5234]

...and the same for token.

---
  
>    * Section 5.2:
>    
>    Running both confid and userid into a single subsection is confusing 
>    rather than helpful. Can you split them please?
  
Will fix as suggested.

---

>    * Section 5.3:
>    
>    The following is wrong:
>    
>        floor-id = "a=floorid:" 1*DIGIT SP "mstrm:" token *(SP token)
>    
>    A minimal fix would be:
>    
>        floor-id = 1*DIGIT SP "mstrm:" token *(SP token)
>    
>    But that reads funny. ISTM the string of digits is the floor-id and the 
>    sequence of tokens is something else. The attribute seems to be poorly 
>    named, but you probably can't change it now. I don't have a good 
>    suggestion on how to improve it.
  
I will fix the syntax as suggested.

---
  
>    * Section 5.4:
>    
>    As in 5.3, the following:
>    
>        bfcp-version = "a=bfcpver:" version *(SP version)
>    
>    ought to be:
>    
>        bfcp-version = version *(SP version)
  
Will fix as suggested.

The pull request:

https://github.com/cdh4u/draft-bfcp-4583bis/pull/12

Regards,

Christer

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 1 Oct 2018 11:54:57 -0400

>    DIGIT = DIGIT defined in [RFC5234]

The <> is explicit abnf syntax, and is the important part.
You can fix this using &lt &gt, or using <![CDATA[...]]>.

Personally I always use CDATA for abnf.

	Thanks,
	Paul

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 1 Oct 2018 18:16:25 +0000

Hi,

> Personally I always use CDATA for abnf.

Fixed, and pull request updated.

Regards,

Christer